;
; lcdtexts.inc: 16x2 lcd texts
;
; author: Marko Kanala, raato ]a t[ mulletronic.com
;
; LICENSE
; Creative Commons Attribution-NonCommercial-ShareALike 2.5
;
; You are free:
;
; * to copy, distribute, display, and perform the work
; * to make derivative works
;
; Under the following conditions:
;	
; 1. Attribution. You must attribute the work in the manner specified by the 
;    author or licensor.
; 2. Noncommercial. You may not use this work for commercial purposes.
; 3. Share Alike. If you alter, transform, or build upon this work, you may 
;    distribute the resulting work only under a license identical to this one.
;
; * For any reuse or distribution, you must make clear to others the license 
;   terms of this work.
; * Any of these conditions can be waived if you get permission from the 
;   copyright holder.
;
; Your fair use and other rights are in no way affected by the above.
;
; This is a human-readable summary of the Legal Code.
; See full license at http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
;
; Copyright: Marko Kanala (raato@mulletronic.com).
;

text_welcome:	db "MulletRhythm9090", 0
text_welcome2:	db "    Revision ", 0

text_confirm2:	db LCD_LINE2, "Enter to confirm", 0

text_resetmem:	db LCD_LINE1, "Reset flash mem?", 0
text_resetmem2:	equ	text_confirm2

text_plswait2:	db LCD_LINE2, "= Please wait! =", 0

text_resetmem3:	db LCD_LINE1, "Resetting memory", 0
text_resetmem4:	equ	text_plswait2

text_entername:	db LCD_LINE2, "Enter to save   ", 0

; first row in pattern write= "A01:Pattern name"
text_patternwrite2:			; "  Bass drum 123b"
				db LCD_LINE2, "W/", 0

text_instrsel:	db LCD_LINE1, "Select instr.   ", 0

text_laststep:	db LCD_LINE1, "   Last step: ", 0
text_laststep_instr:
				db LCD_LINE1, "Instr. last step", 0

text_clear_run:	db LCD_LINE1, "Clearing steps..", 0

text_clear_stop:
				db LCD_LINE1, "Select instr.   ", 0
text_clear_stop2:
				db LCD_LINE2, " to clear       ", 0
text_clear_stop_done2:
				db LCD_LINE2, " ... cleared!   ", 0

text_shuffleflam:
				db LCD_LINE1, "      Shuffle: ", 0
text_shuffleflam2:
				db LCD_LINE2, "         Flam: ", 0

text_scale:
				db LCD_LINE1, "Selected scale: ", 0
text_scale_16:
				db LCD_LINE2, "1/16 notes   (0)", 0
text_scale_32:
				db LCD_LINE2, "1/32 notes   (1)", 0
text_scale_8tr:
				db LCD_LINE2, "1/8 triplets (2)", 0
text_scale_16tr:
				db LCD_LINE2, "1/16 triplets(3)", 0

; print out [FLAM] to lower right corner if
;  in flam write mode
text_flam:		db LCD_LINE2 + 10, "[Flam]", 0


; print out [Fill] to upper right corner if
;  in fill pattern mode
text_fill:		db LCD_LINE1 + 10, "[Fill]", 0
text_fill2:		db LCD_LINE2 + 10, "[Fill]", 0
	
text_next:					; "Next: A02   123b"
				db LCD_LINE2, "Next: ", 0

text_chaincleared: db LCD_LINE1, "Chain cleared!  ", 0
text_setchain:	db LCD_LINE1, " Program chain: ", 0
text_setchain2:	db LCD_LINE2, "Step keys append", 0

text_sentmidi2:	db LCD_LINE2, "   sent to midi!", 0

text_spattdump:	db LCD_LINE1, "Cur.pattern dump", 0
text_spattdump2:equ	text_plswait2
text_pattdump:	db LCD_LINE1, "Current pattern ", 0
text_pattdump2:	equ	text_sentmidi2

text_fulldump1:	db LCD_LINE1, "Full memory dump", 0

text_smemdump:	equ	text_fulldump1
text_smemdump2:	equ	text_plswait2
text_memdump:	equ	text_fulldump1
text_memdump2:	equ	text_sentmidi2

; common texts for funcs
text_buffered2:			db LCD_LINE2, "copied to buffer", 0
text_rotatedleft2:		db LCD_LINE2, "    rotated left", 0
text_rotatedright2:		db LCD_LINE2, "   rotated right", 0
text_nonfillpattern1:	db LCD_LINE1, "Non-fill pattern", 0
text_fillpattern1:		db LCD_LINE1, "Fill pattern    ", 0
text_pasted1:			db LCD_LINE1, "Buffer pasted to", 0		

text_pattbuffered1:		equ text_nonfillpattern1
text_pattbuffered1fill:	equ text_fillpattern1
text_pattbuffered2:		equ text_buffered2

text_pattpasted1:		equ text_pasted1
text_pattpasted2fill:	db LCD_LINE2, "    fill pattern", 0
text_pattpasted2:		db LCD_LINE2, "non-fill pattern", 0

text_instrbuffered2:	equ text_buffered2

text_instrpasted1:		equ text_pasted1

text_instrrandomized2:	db LCD_LINE2, "trigs randomized", 0

text_instrrold2:		equ text_rotatedleft2

text_instrrord2:		equ text_rotatedright2

text_pattrord1:			equ	text_nonfillpattern1
text_pattrord1fill:		equ text_fillpattern1
text_pattrord2:			equ text_rotatedright2

text_pattrold1:			equ	text_nonfillpattern1
text_pattrold1fill:		equ text_fillpattern1
text_pattrold2:			equ text_rotatedleft2

text_trackwrite:		db LCD_LINE1, "Edit ", 0

text_clearconfirm1:		db LCD_LINE1, "Clear track ", 0
text_clearconfirm2:		equ	text_confirm2

text_trackcleared1:		db LCD_LINE1, "Track ", 0
text_trackcleared2:		db LCD_LINE2, "        cleared!", 0

text_measureinserted1:	db LCD_LINE1 + 3, " inserted    ", 0
text_measureinserted2:	db LCD_LINE2, "  to measure ", 0

text_measuredeleted1:	db LCD_LINE1, "Measure         ", 0
text_measuredeleted2:	db LCD_LINE2, "        deleted!", 0

text_sysex:				db LCD_LINE1, "Receiving SYSEX!", 0
text_sysex2:			equ	text_plswait2

text_sysexdone:			equ	text_fulldump1
text_sysexdone2:		db LCD_LINE2, "    received ok!", 0

text_settings:			db "Din sync in    ", 0
text_settings_1:		db "Din sync out   ", 0
text_settings_2:		db "Midi sync in   ", 0
text_settings_3:		db "Midi sync out  ", 0 
text_settings_4:		db "Midi notes out ", 0
text_settings_5:		db "Midi channel   ", 0
;text_settings_6:		db "Midi notes in  ", 0

text_settings_on:		db LCD_LINE2, "              ON", 0
text_settings_off:		db LCD_LINE2, "             OFF", 0
text_settings_select:	db LCD_LINE2, "   Please select", 0

; 10 char instrument names, padded to 12 bytes
text_instruments:
					db "Bass drum ",0,0
					db "Snare drum",0,0
					db "Low tom   ",0,0
					db "Mid tom   ",0,0
					db "Hi tom    ",0,0
					db "Rim shot  ",0,0
					db "Hand clap ",0,0
					db "Closed HH ",0,0
					db "Open HH   ",0,0
					db "Crash     ",0,0
					db "Ride      ",0,0
					db "Accent    ",0,0

;
; self-programmed character(s) for lcd CGRAM
;
cgram:
; "note"
;	db	b'00000', b'00111', b'00111', b'00100', b'01100', b'11100', b'01000', b'00000'
; "bpm"
	db	b'10000', b'11011'
	db	b'11011', b'00010'
	db	b'00000', b'11010'
	db	b'10101', b'10001'
